## Class TInsertMappedStatement

Description

TInsertMappedStatement class.

- since: 3.1
- version: $Id: TInsertMappedStatement.php 1568 2006-12-09 09:17:22Z wei $
- author: Wei Zhuo <weizho[at]gmail[dot]com>

Located in /Data/SqlMap/Statements/TInsertMappedStatement.php (line 21)

    TComponent
       |
       --TMappedStatement
          |
          --TInsertMappedStatement

Method Summary
void executeQueryForList (mixed $connection, mixed $parameter, [mixed $result = null], [mixed $skip = -1], [mixed $max = -1])
void executeQueryForMap (mixed $connection, mixed $parameter, mixed $keyProperty, [mixed $valueProperty = null])
void executeQueryForObject (mixed $connection, mixed $parameter, [mixed $result = null])
void executeUpdate (mixed $connection, mixed $parameter)
Methods
executeQueryForList (line 36)

- access: public

void executeQueryForList (mixed $connection, mixed $parameter, [mixed $result = null], [mixed $skip = -1], [mixed $max = -1])

Redefinition of:

TMappedStatement::executeQueryForList()
  Executes the SQL and retuns a List of result objects.

executeQueryForMap (line 23)

- access: public

void executeQueryForMap (mixed $connection, mixed $parameter, mixed $keyProperty, [mixed $valueProperty = null])

Redefinition of:

TMappedStatement::executeQueryForMap()
  Executes the SQL and retuns all rows selected in a map that is keyed on the property named in the keyProperty parameter. The value at each key will be the value of the property specified in the valueProperty parameter.

executeQueryForObject (line 43)

- access: public

void executeQueryForObject (mixed $connection, mixed $parameter, [mixed $result = null])

Redefinition of:

TMappedStatement::executeQueryForObject()
  Executes an SQL statement that returns a single row as an object of the type of the <tt>$result</tt> passed in as a parameter.

executeUpdate (line 30)

- access: public

void executeUpdate (mixed $connection, mixed $parameter)

Redefinition of:

TMappedStatement::executeUpdate()
  Execute an update statement. Also used for delete statement.

#### Inherited Methods

Inherited From TMappedStatement

> TMappedStatement::__construct()
> TMappedStatement::addResultMapGroupBy()
> TMappedStatement::applyResultMap()
> TMappedStatement::enquequePostSelect()
> TMappedStatement::executeInsert()
> TMappedStatement::executePostSelect()
> TMappedStatement::executeQueryForList()
> TMappedStatement::executeQueryForMap()
> TMappedStatement::executeQueryForObject()
> TMappedStatement::executeSelectKey()
> TMappedStatement::executeSQLQueryLimit()
> TMappedStatement::executeUpdate()
> TMappedStatement::fillArrayResultMap()
> TMappedStatement::fillDefaultResultMap()
> TMappedStatement::fillPropertyWithResultMap()
> TMappedStatement::fillResultArrayList()
> TMappedStatement::fillResultClass()
> TMappedStatement::fillResultMap()
> TMappedStatement::fillResultObjectProperty()
> TMappedStatement::getCommand()
> TMappedStatement::getID()
> TMappedStatement::getManager()
> TMappedStatement::getPostGeneratedSelectKey()
> TMappedStatement::getPostSelectKeys()
> TMappedStatement::getPreGeneratedSelectKey()
> TMappedStatement::getResultMapGroupKey()
> TMappedStatement::getScalarResult()
> TMappedStatement::getSqlString()
> TMappedStatement::getStatement()
> TMappedStatement::initialGroupByResults()
> TMappedStatement::onExecuteQuery()
> TMappedStatement::raiseRowDelegate()
> TMappedStatement::runQueryForList()
> TMappedStatement::runQueryForMap()
> TMappedStatement::runQueryForObject()
> TMappedStatement::setObjectProperty()

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Class Constants

#### Inherited Constants

Inherited from TMappedStatement

> TMappedStatement::QUERY_FOR_ARRAY
> TMappedStatement::QUERY_FOR_LIST
> TMappedStatement::QUERY_FOR_OBJECT

Documentation generated on Mon, 21 Apr 2008 11:35:20 -0400 by phpDocumentor 1.3.0RC4